--  Zen mode with twilight.
--    Improves the edition experience with distraction free feature.

return {
  "folke/zen-mode.nvim",
  ft = {
    "markdown",
    "pandoc"
  },
  -- Twilight allows to dim text outside of the cursor line.
  dependencies = {
    "folke/twilight.nvim",
    opts = {
      -- Set the context to null in order to avoid highlighting to much
      -- paragraphs in markdown.
      context = 0,
    },
  },
  opts = {
    window = {
      -- Set the window width (85 columns) and height (80%).
      width = 85,
      height = .8,
      options = {
        -- Disable line numbering.
        number = false,
        signcolumn = "no",
      },
    },
    plugins = {
      options = {
        enabled = true,
        ruler = false,
        showcmd = false,
      },
      gitsigns = { enabled = false },
    },
  },
}
